package mqp.momometer.adapters;

import java.util.ArrayList;

import mqp.momometer.R;
import mqp.momometer.classes.FoodItem;
import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class FoodCommonListAdapter extends BaseAdapter{
	private Activity activity;
	private String[] data={"1","2","3","4","5"};
	private static LayoutInflater inflater=null;


    public FoodCommonListAdapter(Activity a) {
        activity = a;        
        inflater = (LayoutInflater)activity.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    public int getCount() {
        return data.length;
    }

    public Object getItem(int position) {
        return position;
    }

    public long getItemId(int position) {
        return position;
    }
    
    public static class ViewHolder{
        public TextView text;
        public ImageView image;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        View vi=convertView;
        ViewHolder holder;
        if(convertView==null){
            vi = inflater.inflate(R.layout.foodcommonfooditem, null);
            holder=new ViewHolder();
            holder.text=(TextView)vi.findViewById(R.id.txtFoodCommon);
            holder.image=(ImageView)vi.findViewById(R.id.imgFoodCommon);
            vi.setTag(holder);
        }
        else
            holder=(ViewHolder)vi.getTag();
        
        holder.text.setText("item "+position);
        holder.image.setBackgroundResource(R.drawable.icon);
        return vi;
    }
}