package mqp.momometer.classes;

public class Day {

	public static final int Sunday = 0;
	public static final int Monday = 1;
	public static final int Tuesday = 2;
	public static final int Wednesday = 3;
	public static final int Thursday = 4;
	public static final int Friday = 5;
	public static final int Saturday = 6;

	

	public Day(int day, String description, String shortDescription) {
		super();
		Day = day;
		Description = description;
		ShortDescription = shortDescription;
	}
	
	public Day(int day)
	{
		this.Day = day;
		this.Description = getDayString(day);
		this.ShortDescription = getShortDescription(day);
	}

	public static String getDayString(int day) {
		switch (day) {
		case Monday:
			return "Monday";
		case Tuesday:
			return "Tuesday";
		case Wednesday:
			return "Wednesday";
		case Thursday:
			return "Thursday";
		case Friday:
			return "Friday";
		case Saturday:
			return "Saturday";
		case Sunday:
			return "Sunday";
		default:
			return null;
		}
	}

	public int getDay() {
		return Day;
	}

	public static String getShortDescription(int day)
	{
		switch (day) {
		case Monday:
			return "Mon";
		case Tuesday:
			return "Tue";
		case Wednesday:
			return "Wed";
		case Thursday:
			return "Thu";
		case Friday:
			return "Fri";
		case Saturday:
			return "Sat";
		case Sunday:
			return "Sun";
		default:
			return null;
		}
	}

	public String getDescription() {
		return Description;
	}

	public String getShortDescription() {
		return ShortDescription;
	}
	
	@Override
	public boolean equals(Object o)
	{
		return this.Day == ((Day)o).Day;
	}

	public int Day;
	public String Description;
	public String ShortDescription;
}
