package mqp.momometer.helpers;

import java.util.Random;

import mqp.momometer.R;

import android.content.Context;

public class FactGenerator {

	public static String getBabyFact(Context context)
	{
		Random randomGenerator = new Random();
		int randNum = randomGenerator.nextInt(7);		
		return context.getResources().getStringArray(R.array.babyInfo_list)[randNum];
	}
	
	public static String getNutritionFact(Context context)
	{
		Random randomGenerator = new Random();
		int randNum = randomGenerator.nextInt(44);
		return context.getResources().getStringArray(R.array.dietaryInfo_list)[randNum];
	}	
	
	public static String getActivityFact(Context context){
		Random randomGenerator = new Random();
		int randNum = randomGenerator.nextInt(26);
		return context.getResources().getStringArray(R.array.activityInfo_list)[randNum];
	}
	
	public static String getWeightFact(Context context){
		Random randomGenerator = new Random();
		int randNum = randomGenerator.nextInt(1);
		
		switch(randNum)
		{
		case 0:
			return getNutritionFact(context);
		default:
			return getActivityFact(context);
		}
	}	
}
