package mqp.momometer;

import android.app.Activity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class HelpActivity extends Activity{
	private int activity;
	private int screen;
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.help);
		
		activity = this.getIntent().getExtras().getInt("Activity"); 	
		screen = this.getIntent().getExtras().getInt("Screen");
		
		Resources res = getResources();
		String helpInfo = res.getStringArray(R.array.helpscreeninfo_list)[screen-1];
		
		TextView txtView = (TextView)findViewById(R.id.txtViewHelpDesc);
		txtView.setText(helpInfo);
	}
	
	public void btnOkClickHandler(View view)
	{
		finish();
	}
    public void btnHomeHandler(View view){
    	Bundle bundle = new Bundle();
    	bundle.putInt("Activity", activity);
    	startActivity(new Intent(this, Main.class).putExtras(bundle));
    }
}
