package mqp.momometer;

import mqp.momometer.classes.ActivityType;
import mqp.momometer.classes.Screens;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class HomeActivity extends Activity{
	
	@Override
	 public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.home);
	 }
	
    public void menuBtnClickHandler(View view)
    {
    	Bundle bundle = new Bundle();
    	
    	switch (view.getId())
    	{
	    	case R.id.btnHomeWeight:		    		
	    		bundle.putInt("Activity", ActivityType.WEIGHTTRACKING);
	    		break;
	    	case R.id.btnHomeActivity:	    		
	    		bundle.putInt("Activity", ActivityType.ACTIVITYTRACKING);	    		
	    		break;
	    	case R.id.btnHomeFood:
	    		bundle.putInt("Activity", ActivityType.FOODTRACKING);
	    		break;
	    	case R.id.btnHomeProgress:
	    		bundle.putInt("Activity", ActivityType.PROGRESSTRACKING);
	    		break;
	    	case R.id.btnHomeReminder:
	    		bundle.putInt("Activity", ActivityType.REMINDERSETTINGS);
	    		break;
	    	case R.id.btnHomeProfile:
	    		bundle.putInt("Activity", ActivityType.PROFILESETTINGS);
	    		break;
    	}
    	startActivity(new Intent(this,TabFactoryActivity.class).putExtras(bundle));
    }   
    
    public void bottomMenuBtnClickHandler(View view)
    {
    	Bundle bundle = new Bundle();
    	
    	switch (view.getId())
    	{	    	
	    	case R.id.btnTodos:
	    		startActivity(new Intent(this, DailyToDosActivity.class));
	    		break;
	    	case R.id.btnInfo:
	    		bundle.putInt("Activity", 0);
	    		startActivity(new Intent(this, InformationActivity.class).putExtras(bundle));
	    		break;
	    	case R.id.btnHelp:	    		
	    		bundle.putInt("Screen", Screens.HOMESCREEN);
	    		bundle.putInt("Activity", 0);
	    		startActivity(new Intent(this, HelpActivity.class).putExtras(bundle));
	    		break;
    	}
    }
}
