package mqp.momometer;

import mqp.momometer.helpers.HelpInfoGenerator;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

public class InformationActivity extends Activity{
	private int activity;
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.information);			
	
		activity = this.getIntent().getExtras().getInt("Activity");
	}
	
	public void btnMenuHandler(View view){
		
		switch(view.getId()){
		case R.id.idBtnFoodPyramid:
			LinearLayout btnLayout = (LinearLayout)findViewById(R.id.informationButtons);
			btnLayout.setVisibility(View.GONE);
			
			LinearLayout infoLayout = (LinearLayout)findViewById(R.id.infoText);
			infoLayout.setVisibility(View.VISIBLE);
			
			TextView txt = (TextView)findViewById(R.id.idTxtInformation);
			txt.setText(HelpInfoGenerator.getInfoByScreen(this, 0));
			break;
		}
	}
	
	public void btnOkClickHandler(View view)
	{
		finish();
	}
    public void btnHomeHandler(View view){
    	Bundle bundle = new Bundle();
    	bundle.putInt("Activity", activity);
    	startActivity(new Intent(this, Main.class).putExtras(bundle));
    }
}
