package mqp.momometer;

import mpq.momometer.repositories.SharedPreferencesAdapter;
import mqp.momometer.helpers.HelperFunctions;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class ProfileUserInfoActivity extends Activity{
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.profileuserinformation);
		
		TextView userName = (TextView)findViewById(R.id.profileTxtUserName);
		userName.setText("Mary Jane");
		
		TextView pregnancyStage = (TextView)findViewById(R.id.txtPregnancyStage);
		pregnancyStage.setText(HelperFunctions.getCurrentWeek(this) + " weeks");
		
		String currentHeight = String.valueOf(SharedPreferencesAdapter.getStartingHeightFeet(this)) 
							   + " feet " + 
							   String.valueOf(SharedPreferencesAdapter.getStartingHeightInches(this)) 
							   + " inches ";

		TextView pregnancyWeight = (TextView)findViewById(R.id.txtPregnancyWeight);
		pregnancyWeight.setText(String.valueOf(SharedPreferencesAdapter.getStartingWeight(this)));
		
		TextView pregnancyHeight = (TextView)findViewById(R.id.txtPregnancyHeight);
		pregnancyHeight.setText(currentHeight);
		
		TextView bmi = (TextView)findViewById(R.id.profileTxtBMI);
		bmi.setText("22.1");
	}
}
