package mqp.momometer.alarms;

import mqp.momometer.TabFactoryActivity;
import mqp.momometer.classes.ActivityType;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

public class ActivityInputAlarm extends BroadcastReceiver {

	@Override
	public void onReceive(Context context, Intent intent) {
		Bundle bundle = new Bundle();
		bundle.putInt("Activity", ActivityType.ACTIVITYTRACKING);
		bundle.putInt("startingTab", TabFactoryActivity.INPUT);
        Intent intentApp = new Intent(context, TabFactoryActivity.class).putExtras(bundle);
		PendingIntent pIntent = PendingIntent.getActivity(context,
				ActivityType.ACTIVITYTRACKING, intentApp, 0);

		NotificationController.PushNotification(context,
				ActivityType.ACTIVITYTRACKING,
				"Time to record your activities!", pIntent,
				"Time to record your activities!");

		// http://www.androidcompetencycenter.com/2009/02/android-basics-alarm-service/
	}

}
