package mqp.momometer.classes;

import java.util.Date;

public class ActivityData {

	public int getWeek() {
		return week;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public void setType(int type) {
		this.type = type;
	}

	public void setActivity(int activity) {
		this.activity = activity;
	}

	public void setDuration(int duration) {
		this.duration = duration;
	}

	public ActivityData(int id, int type, int activity, int duration, Date timestamp, int week) {
		super();
		this.id = id;
		this.type = type;
		this.activity = activity;
		this.duration = duration;
		this.timestamp = timestamp;
		this.week = week;
	}
	
	public ActivityData()
	{
		
	}
	public int getId() {
		return id;
	}
	public int getType() {
		return type;
	}
	public int getActivity() {
		return activity;
	}
	public int getDuration() {
		return duration;
	}
	
	private int id;
	private int type;
	private int activity;
	private int duration;
	private Date timestamp;
	private int week;
}
