package mqp.momometer.classes;

import java.util.Date;

public class WeightData {
	
	public int getWeek() {
		return week;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	private int id;
	private double weight;
	private int measurementType;
	private Date timestamp;
	private int week;
	
	public WeightData(int id, double weight, int type, Date timestamp, int week)
	{
		this.id = id;
		this.weight = weight;
		this.measurementType = type;
		this.timestamp = timestamp;
		this.week = week;
	}
	
	public int getId()
	{
		return id;
	}
	
	public double getWeight()
	{
		return weight;
	}
	
	public int getMeasurementType()
	{
		return measurementType;
	}
}
