package mqp.momometer.helpers;

import mqp.momometer.classes.ActivityType;
import android.content.Context;

/**
 * This class generates Activity Title for each activity.
 * @author kmiyauchi
 *
 */
public class ActivityTitleGenerator {	
	public static String GetActivityTitleFromActivity(Context context, int activity){
		String stringLblActivityTitle = "";
		
		switch (activity)
		{
			case ActivityType.WEIGHTTRACKING:
				stringLblActivityTitle = "Weight Tracking";
				break;
			case ActivityType.ACTIVITYTRACKING:
				stringLblActivityTitle = "Activity Tracking";
				break;
			case ActivityType.FOODTRACKING:
				stringLblActivityTitle = "Food Tracking";
				break;
			case ActivityType.PROGRESSTRACKING:
				stringLblActivityTitle = "Progress Tracking";
				break;
			case ActivityType.REMINDERSETTINGS:
				stringLblActivityTitle = "Reminder Setting";
				break;
			case ActivityType.PROFILESETTINGS:
				stringLblActivityTitle = "Profile Setting";
				break;	
		}
		return stringLblActivityTitle;
	}
}
